<div class="row">
	<div class="col-6">
		<div class="form-group has-validation">
			<label for="domain_name">Domain Name</label>
			<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text"><i class="fas fa-fw fa-globe-asia"></i></span>
				</div>
				<input type="text" class="form-control col-9 text-right @error('service.domain_name') is-invalid @enderror" id="domain_name" name="service[domain_name]" placeholder="Domain Name..." value="{{ old('service.domain_name',$o->domain_name) }}" required>
				<div class="input-group-append">
					<span class="input-group-text">.</span>
				</div>
				<select class="form-control col-3" name="service[domain_tld_id]">
					@foreach(\App\Models\DomainTld::active()->orderBy('name')->get() as $oo)
						<option value="{{ $oo->id }}" @if($oo->id == $o->domain_tld_id)selected @endif>{{ $oo->name }}</option>
					@endforeach
				</select>

				<span class="invalid-feedback" role="alert">
					@error('service.domain_name')
						{{ $message }}
					@else
						Domain Name is required.
					@enderror
				</span>
			</div>
			<span class="input-helper">Licensed Domain Name.</span>
		</div>
	</div>

	<div class="col-3">
		<div class="form-group has-validation">
			<label for="domain_expire">Expiry</label>
			<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text"><i class="fas fa-fw fa-calendar"></i></span>
				</div>
				<input type="date" class="form-control @error('service.domain_expire') is-invalid @enderror" id="domain_expire" name="service[domain_expire]" value="{{ old('service.domain_expire',$o->service_expire->format('Y-m-d')) }}" required>
				<span class="invalid-feedback" role="alert">
					@error('service.domain_expire')
						{{ $message }}
					@else
						Domain Expiry is required.
					@enderror
				</span>
			</div>
			<span class="input-helper">Date Domain Expires.</span>
		</div>
	</div>
</div>

<div class="row">
	<div class="col-6">
		<div class="form-group has-validation">
			<label for="domain_registrar_id">Registrar</label>
			<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text"><i class="fas fa-fw fa-handshake"></i></span>
				</div>
				<select class="form-control @error('service.domain_registrar_id') is-invalid @enderror" id="domain_registrar_id" name="service[domain_registrar_id]">
					<option></option>
					@foreach(\App\Models\DomainRegistrar::active()->orderBy('name')->get() as $oo)
						<option value="{{ $oo->id }}" @if($oo->id == $o->domain_registrar_id)selected @endif>{{ $oo->name }}</option>
					@endforeach
				</select>

				<span class="invalid-feedback" role="alert">
					@error('service.domain_registrar_id')
						{{ $message }}
					@else
						Domain Registrar is required.
					@enderror
				</span>
			</div>
			<span class="input-helper">Domain Name Registrar.</span>
		</div>
	</div>

	<div class="col-3">
		<div class="form-group has-validation">
			<label for="registrar_account">Registrar Account</label>
			<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text"><i class="fas fa-fw fa-calendar"></i></span>
				</div>
				<input type="text" class="form-control @error('service.registrar_account') is-invalid @enderror" id="registrar_account" name="service[registrar_account]" value="{{ old('service.registrar_account',$o->registrar_account) }}">
				<span class="invalid-feedback" role="alert">
					@error('service.registrar_account')
						{{ $message }}
					@else
						Registrar Account ID is required.
					@enderror
				</span>
			</div>
			<span class="input-helper">Registrar Account ID.</span>
		</div>
	</div>
</div>

<div class="row">
	<div class="col-6">
		<div class="form-group has-validation">
			<label for="registrar_ns">DNS Location</label>
			<div class="input-group flex-nowrap">
				<div class="input-group-prepend">
					<span class="input-group-text"><i class="fas fa-fw fa-project-diagram"></i></span>
				</div>
				<select class="form-control @error('service.registrar_ns') is-invalid @enderror" id="registrar_ns" name="service[registrar_ns]">
					@foreach(\App\Models\Service\Domain::select('registrar_ns')->distinct()->get() as $oo)
						<option value="{{ $oo->registrar_ns }}" @if($oo->registrar_ns == $o->registrar_ns)selected @endif>{{ $oo->registrar_ns }}</option>
					@endforeach
				</select>
				<span class="invalid-feedback" role="alert">
					@error('service.registrar_ns')
						{{ $message }}
					@else
						DNS Details is required.
					@enderror
				</span>
			</div>
			<span class="input-helper">Domain DNS details.</span>
		</div>
	</div>

	<div class="col-3">
		<div class="form-group has-validation">
			<label for="registrar_username">Registrar Username</label>
			<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text"><i class="fas fa-fw fa-calendar"></i></span>
				</div>
				<input type="text" class="form-control @error('service.registrar_username') is-invalid @enderror" id="registrar_username" name="service[registrar_username]" value="{{ old('service.registrar_username',$o->registrar_username) }}">
				<span class="invalid-feedback" role="alert">
					@error('service.registrar_username')
						{{ $message }}
					@else
						Registrar Username is required.
					@enderror
				</span>
			</div>
			<span class="input-helper">Registrar Username ID.</span>
		</div>
	</div>
</div>

@section('page-scripts')
	@css('//cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css','s2-css')
	@js('//cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js','s2-js','jquery')

	<style>
		.select2-selection.select2-selection--single {
			height: calc(2.25rem + 2px) !important;
		}
		.select2.select2-container.select2-container--default {
			display: flex;
			flex: 1 1 auto;
		}
		.select2.select2-container.select2-container--default .selection {
			width: 100%;
		}
	</style>

	<script type="text/javascript">
		$(document).ready(function() {
			$('#registrar_ns').select2({
				dropdownAutoWidth: true,
				width: 'style',
				tags: true,
			});
		});
	</script>
@append
