<table class="table table-bordered w-100" id="invoices">
	<thead>
	<tr>
		<th class="text-right">#</th>
		<th class="text-right">Issued</th>
		<th class="text-right">Due</th>
		<th class="text-right">Total</th>
		<th class="text-right">Payments</th>
		<th class="text-right">Outstanding</th>
	</tr>
	</thead>

	<tbody>
	@foreach ($o->invoices as $io)
		<tr>
			<td class="text-right"><a href="{{ url('u/invoice',$io->id) }}">{{ $io->id }}</a></td>
			<td class="text-right">{{ $io->date_orig->format('Y-m-d') }}</td>
			<td class="text-right">{{ $io->due_date->format('Y-m-d') }}</td>
			<td class="text-right">${{ number_format($io->total,2) }}</td>
			<td class="text-right">${{ number_format($io->paid,2) }}</td>
			<td class="text-right">${{ number_format($io->due,2) }}</td>
		</tr>
	@endforeach
	</tbody>
</table>

@section('page-scripts')
	@css('//cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css','jq-dt-css')
	@js('//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js','jq-dt-js')
	@css('//cdn.datatables.net/responsive/2.2.1/css/responsive.dataTables.min.css','jq-dt-r-css','jq-dt-css')
	@js('//cdn.datatables.net/responsive/2.2.1/js/dataTables.responsive.min.js','jq-dt-r-js','jq-dt-js')
	@css('/plugin/dataTables/dataTables.bootstrap4.css','dt-bootstrap4-css','jq-dt-css')
	@js('/plugin/dataTables/dataTables.bootstrap4.js','dt-bootstrap4-js','jq-dt-js')

	<script type="text/javascript">
		$(document).ready(function() {
			$('#invoices').DataTable( {
				responsive: true,
				order: [1, 'desc']
			});

			$('#invoices tbody').on('click','tr', function () {
				$(this).toggleClass('selected');
			});
		});
	</script>
@append