<div class="card card-dark">
	<div class="card-header">
		<h4 class="card-title">Accounts</h4>
	</div>

	<div class="card-body">
		@if ($user->all_accounts()->count())
			<table class="table table-striped table-hover" id="accounts" style="width: 100%;">
				<thead>
				<tr>
					<th>Profile</th>
					<th>Name</th>
					<th>Active</th>
					<th>Services</th>
				</tr>
				</thead>

				<tfoot>
				<tr>
					<th>Count {{ $user->all_accounts()->count() }}</th>
					<th colspan="3">&nbsp;</th>
				</tr>
				</tfoot>
			</table>

		@else
			<p>No Accounts Active</p>
		@endif
	</div>
</div>

@section('page-scripts')
	@css('//cdn.datatables.net/1.10.25/css/dataTables.bootstrap4.min.css','jq-dt-css')
	@js('//cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js','jq-dt-js')
	@js('//cdn.datatables.net/1.10.25/js/dataTables.bootstrap4.min.js','jq-dt-bs5-js','jq-dt-js')

	<script type="text/javascript">
		$(document).ready(function() {
			$('#accounts').DataTable( {
				ajax: {
					url: "/api/r/accounts"
				},
				columns: [
					{ data: "switch_url" },
					{ data: "name" },
					{ data: "active_display" },
					{ data: "services_count_html" }
				],
				language: {
					emptyTable: "No Active Clients"
				},
				order: [1, 'asc'],
				pageLength: 25
			});

			$('#accounts tbody').on('click','tr', function () {
				$(this).toggleClass('selected');
			});
		});
	</script>
@append